#
# spec file for package mynotex
#
# Copyright (c) 2012 by Sascha Manns <saigkill@opensuse.org>
# + contributes by other editors
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           mynotex
Version:        1.2.3
Release:        1.11
Summary:        Note taking and Note Manager Tool
License:        GPL-3.0+
Group:          Productivity/Office/Management
URL:            http://sites.google.com/site/mynotex/home
# source from git repo (latest stable version)
# aka https://github.com/maxnd/mynotex/commit/6fb5429a426179801c412c0d02ce49fa059620bb
Source0:        %{name}-%{version}.tar.xz
Source12:       README.openSUSE
BuildRequires:  fpc lazarus
BuildRequires:  lazarus-dcpcrypt
BuildRequires:  lazarus-ZVDateTimeCtrls
BuildRequires:  xorg-x11-devel
BuildRequires:  cairo-devel
BuildRequires:  libexpat-devel
BuildRequires:  sqlite3-devel
BuildRequires:  update-desktop-files
%if 0%{?suse_version} <= 1210
BuildRequires:  xz
%endif
Requires:       sqlite >= 3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MyNotex is a free software for Gnu/Linux useful to take and to manage
textual notes, also a large number of them. Notes are gathered under
different subjects and are made by a title, a date, a tags (keywords)
list and a free-length text. This may be formatted: it is possible
to change the font name, size and color of a selected text and of
its background, and also to set bold, italic, underline and strike-through.
The software can manage paragraph alignment, bullets and numbered lists
with automatic indentation. A single file of MyNotex contains various
subjects and notes.

#--------------------------------------------------------------------------
%prep
%setup -q
%{__cp} -p %{SOURCE12} .

#--------------------------------------------------------------------------
%build 
lazbuild -r %{_libdir}/lazarus/components/dcpcrypt/dcpcrypt.lpk 
lazbuild -r %{_libdir}/lazarus/components/dcpcrypt/dcpcrypt_laz.lpk 
lazbuild -r RichMemo/richmemopackage.lpk 
lazbuild -r mynotex.lpi

#--------------------------------------------------------------------------
%install

# Bin
#---------------------------#
# A hack to be able to run the program via the name execution.
%__cat > %{name}.sh <<HERE
#!/bin/sh

export LIBOVERLAY_SCROLLBAR=0
exec %{_bindir}/%{name}.lazarus
HERE
# We have to rename executable in accordance
%__install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}.lazarus
%__install -m 0755 %{name}.sh %{buildroot}%{_bindir}/%{name}
#... and fix the desktop file
%{__sed} -i 's|env LIBOVERLAY_SCROLLBAR=0 /opt/mynotex/mynotex|mynotex|' MyNotex.desktop
#---------------------------#
%{__sed} -i "/^Icon=/s|=.*|=%{name}|;/GenericName=/s|=.*|=Notes Manager|" MyNotex.desktop
# remove Unity section, add mimetypes,... instead
%__sed -i '/X-Ayatana-Desktop-Shortcuts=New/,$ cMimeType=application/x-sqlite3\;\nStartupNotify=true' MyNotex.desktop

# Lang Files
%__install -d %{buildroot}%{_datadir}/%{name}
%__install -m 0644 Translations/* %{buildroot}%{_datadir}/%{name}/

# Desktop
%__install -Dm 0644 icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__install -Dm 0644 MyNotex.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file %{name} X-SuSE-Core-Office

%post
%desktop_database_post

%postun
%desktop_database_postun

#----------------------
%files
%defattr(-,root,root)
%doc Manuals/* README* Licence
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

#----------------------
%changelog
* Fri Jul 19 2013 fa0sck@gmail.com
- Update to 1.2.3 (ref: https://sites.google.com/site/mynotex)
- The new features added in the version 1.2.3 are:
  + lists may have bullets, numbers, small and caps letters as
    header (the character at beginning) of each item,
    automatically recalculated at each change;
  + new menu in the indent button to create a new list with the
    desired header (the keys '1' and '*' do not work any more);
    all the paragraphs below and over the current one until a
    blank line, or the beginning or the end of the text, are
    gathered in the list;
  + "Ctrl + ." (dot) to make the current list change the kind of
    header (bullet, number, caps letter, small letter, none); all
    the paragraphs below and over the current one until a blank
    line, or the beginning or the end of the text, are gathered in
    the list;
  + "Ctrl + Return" to stop a list;
  + "Ctrl + Shift + Arrow Up" and "Ctrl + Shift + Arrow Down" to
    move up and down the current paragraph;
  + "Ctrl + T" has been changes with "Ctrl + G" to avoid conflict
    with GNU/Linux shortcut to run terminal.
  + In HTML, Writer and browser exportation, headers made by
    letters series will be exported as numbers.
  + When date is changed with the popup calendar, the note is
    saved automatically.
- Changes in openSUSE build:
  + actually build from sources (stable version from github
    package project) using lazarus
  + source package provides all data files (from github)
  + add mime type to dektop file
* Thu Mar 29 2012 Sascha.Manns@open-slx.de
- added a README.openSUSE in /usr/share/doc/packages/mynotex
* Thu Mar 29 2012 Sascha.Manns@open-slx.de
- first build for openSUSE
